<?php
/********************************************************************************
 * (c)1337 aheadware.com - All rights reserved
 ********************************************************************************/

// General
Francis_Utils_Config::set( 'url.client', 'src/client/app/' );

// DB settings
Francis_Utils_Config::set( 'db.tbcore.host', 'database' );
Francis_Utils_Config::set( 'db.tbcore.name', 'pb_core' );          // probudy core
Francis_Utils_Config::set( 'db.tbcore.user', 'root' );
Francis_Utils_Config::set( 'db.tbcore.pass', 'root' );

Francis_Utils_Config::set( 'db.tbteamdata.host', 'database' );
Francis_Utils_Config::set( 'db.tbteamdata.name', 'pb_teamdata' );
Francis_Utils_Config::set( 'db.tbteamdata.user', 'root' );
Francis_Utils_Config::set( 'db.tbteamdata.pass', 'root' );


// Paths
Francis_Utils_Config::set( 'path.logfile', '/var/www/html/logs/tbserver-log.txt' );
Francis_Utils_Config::set( 'path.cron_logfile', '/var/www/html/logs/tbserver-cron-log.txt' );

Francis_Utils_Config::set( 'path.backup_folder', '/var/www/html/temp' );

Francis_Utils_Config::set( 'path.root', realpath( dirname( __FILE__ ) . '/../../../..' ) );
Francis_Core_Autoloader::attachLocator( new Francis_Core_Locator( 'TB', Francis_Utils_Config::get( 'path.root' ) . '/src/server' ) );
Francis_Utils_Config::set( 'path.server.controller', Francis_Utils_Config::get( 'path.root' ) . '/src/server/server/control' );
Francis_Utils_Config::set( 'path.templates', Francis_Utils_Config::get( 'path.root' ) . '/src/server/server/template' );

// OneSignal
Francis_Utils_Config::set( 'onesignal.appId', "2fd170bb-2e73-4c1d-9fe9-f8a4dffd061f" );

// Slack Log
Francis_Utils_Config::set( 'slack.logWebhook', "https://hooks.slack.com/services/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" );

// Google analytics
Francis_Utils_Config::set( 'analytics.trackingId', 'UA-139730172-1' );

// Manager console
Francis_Utils_Config::set( 'url.manager', 'https://manager.probuddy.de/' );
